Skip to content

Retry Schedule ​

PUThttps://api.repliz.com/public/schedule/{scheduleId}/retry

Re-queue a failed scheduled post for another publish attempt using the same content and settings.

Endpoint Details ​

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Premium+

Parameters ​

ParameterTypeRequiredDescription
scheduleIdstringYesID of the schedule, the _id from Get Schedule. It's set back to pending and published on the next check, within a minute once its scheduleAt has passed.

Example Request ​

bash
curl -X PUT "https://api.repliz.com/public/schedule/680affa5ce12f2f72916f67e/retry" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const scheduleId = '680affa5ce12f2f72916f67e';

const response = await axios.put(
  `https://api.repliz.com/public/schedule/${scheduleId}/retry`,
  {},
  {
    auth: {
      username: 'YOUR_ACCESS_KEY',
      password: 'YOUR_SECRET_KEY',
    },
  },
);

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const scheduleId = '680affa5ce12f2f72916f67e';

const response = await fetch(`https://api.repliz.com/public/schedule/${scheduleId}/retry`, {
  method: 'PUT',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({}),
});

const data = await response.json();
console.log(data);

Response ​

json
// No content returned on success
json
{
  "code": 404,
  "message": "schedule not found"
}
json
{
  "code": 401,
  "message": "unauthorized"
}